Issue 98870 - Fields on slides do not update
Summary: Fields on slides do not update
Status: CLOSED FIXED
Alias: None
Product: Impress
Classification: Application
Component: viewing (show other issues)
Version: OOo 1.0.0
Hardware: All All
: P3 Trivial (vote)
Target Milestone: OOo 3.2
Assignee: wolframgarten
QA Contact: issues@graphics
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-04 10:52 UTC by clippka
Modified: 2009-07-21 08:34 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Fix for this issue as diff (5.26 KB, text/plain)
2009-02-19 11:00 UTC, Armin Le Grand
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description clippka 2009-02-04 10:52:13 UTC
- Create a presentation with 2 slides
- On slide 1 insert a page number field (insert->fields->page number)
- It now shows "1"
- Use the slide sorter on the left to make the first slide the second slide with
drag and drop

The field still shows "1" but a "2" is expected.

This works for fields on master but not on slides.
Same problem with the soon to be integrated page count field (see issue 14832)
Comment 1 Armin Le Grand 2009-02-05 12:41:37 UTC
AW: Hmmm. I checked this multiple times before aw033 integration, exactly the
mentioned cases. Must somehow again been broken. I will take a look for 3.2...
Comment 2 Armin Le Grand 2009-02-18 16:29:47 UTC
AW: Debugged and found a reason. The code fragment is correctly comparing when a
field (e.g. PageField) is added if the XDrawPage is the same or has changed. Of
course the XDrawPage IS the same when pages get exchanged, so nothing happens.
ARGH! So maybe i will also need to check for the explicit PageNumber (and
similar for other kinds of Fields), too.

AW->CL: When i have the last and the current XDrawPage for which the Primitive
was visualised, is there a simple way to compare their equalness (xOld == xNew
only compares the xInterface ptrs), independent from Field type involved? I do
not want to extend this compare every time a new Page-dependent Field is added.
Comment 3 Armin Le Grand 2009-02-19 10:58:45 UTC
AW: Added extra data to SdrTextPrimitive2D for last PageNumber, splitted flags
into mbContainsPageField and mbContainsOtherFields. Added
SvxAuthorField::StaticType() to the detection. PageNumber is now taken from
XDrawPage when mbContainsPageField is true and used in get2DDecomposition. Works
as expected.

AW->CL: Fixed. If YOu need early access, i will add a diff to this task with the
fix.
Comment 4 Armin Le Grand 2009-02-19 11:00:05 UTC
Created attachment 60304 [details]
Fix for this issue as diff
Comment 5 Armin Le Grand 2009-06-09 11:07:28 UTC
AW: Checked, but broken again. Need another look...
Comment 6 Armin Le Grand 2009-06-09 11:18:47 UTC
AW: I have no idea why, but the patch disappeared from the source, have to re-add...
Comment 7 Armin Le Grand 2009-06-09 12:56:50 UTC
AW: Re-added patch data, seems i had not commited that change. Committed, done.
Comment 8 Armin Le Grand 2009-06-09 14:12:21 UTC
AW->WG: Please verify in CWS (as described)
Comment 9 wolframgarten 2009-06-11 13:37:26 UTC
Page count still does not update.
Comment 10 wolframgarten 2009-06-11 13:39:24 UTC
Issue 14832 is only for implementing page count field. CL wrote this one here to
get this fixed, too. Reassigned.
Comment 11 Armin Le Grand 2009-06-11 15:13:46 UTC
AW: Okay, adding PageCountField handling to this task. Trying...
Comment 12 Armin Le Grand 2009-06-12 09:25:59 UTC
AW: Checked in new build, page number and page count fields work as expected. Done.
Comment 13 Armin Le Grand 2009-06-12 09:26:51 UTC
AW->WG: Please verify in CWS.
Comment 14 wolframgarten 2009-06-12 14:14:33 UTC
Verified in CWS.
Comment 15 wolframgarten 2009-07-21 08:34:19 UTC
Tested in m52. Closed.